commit:     32cd1f6f1c693d74575f0c0b5be30bf4d61c1999
Author:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Thu Apr 12 11:22:01 2018 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Thu Apr 12 11:22:01 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=32cd1f6f

sci-biology/picard: version bump (not working yet)

Bug: https://github.com/broadinstitute/picard/issues/605
Bug: https://bugs.gentoo.org/653012
Package-Manager: Portage-2.3.27, Repoman-2.3.9

 sci-biology/picard/picard-2.10.2.ebuild  | 58 ------------------------------
 sci-biology/picard/picard-2.17.11.ebuild | 61 ++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+), 58 deletions(-)

diff --git a/sci-biology/picard/picard-2.10.2.ebuild 
b/sci-biology/picard/picard-2.10.2.ebuild
deleted file mode 100644
index bddadedbb..000000000
--- a/sci-biology/picard/picard-2.10.2.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-JAVA_PKG_IUSE="doc source"
-
-inherit java-pkg-2 java-ant-2
-
-DESCRIPTION="Java-based command-line utilities that manipulate 
SAM/BAM/CRAM/VCF files"
-HOMEPAGE="http://picard.sourceforge.net
-       http://broadinstitute.github.io/picard";
-SRC_URI="https://github.com/broadinstitute/picard/archive/${PV}.tar.gz -> 
${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE=""
-KEYWORDS=""
-
-CDEPEND="dev-java/snappy:1.1
-       dev-java/cofoja:0
-       dev-java/commons-jexl:2
-       dev-java/ant-core:0
-       dev-java/htsjdk:0"
-
-DEPEND=">=virtual/jdk-1.8
-       ${CDEPEND}"
-
-RDEPEND=">=virtual/jre-1.8
-       ${CDEPEND}"
-
-EANT_BUILD_TARGET="all"
-EANT_NEEDS_TOOLS="true"
-JAVA_ANT_REWRITE_CLASSPATH="true"
-EANT_GENTOO_CLASSPATH="snappy-1.1,cofoja,commons-jexl-2,ant-core,htsjdk"
-
-java_prepare() {
-       default
-       rm -r src/java/picard/util/TestNGUtil.java src/tests/java/* || die
-       epatch "${FILESDIR}"/${PV}-build.xml.patch
-}
-
-src_compile(){
-       # work around gradle writing $HOME/.gradle and requiring $HOME/.git
-       # https://github.com/samtools/htsjdk/issues/660#issuecomment-232155965
-       GRADLE_USER_HOME="${WORKDIR}" ./gradlew --stacktrace --debug || die
-}
-
-#src_install() {
-#      cd dist || die
-#      java-pkg_dojar ${PN}.jar
-#      java-pkg_dojar ${PN}-lib.jar
-#
-#      java-pkg_dolauncher ${PN} --main picard.cmdline.PicardCommandLine
-#
-#      use source && java-pkg_dosrc "${S}"/src/java/*
-#      use doc && java-pkg_dojavadoc "${S}"/javadoc
-#}

diff --git a/sci-biology/picard/picard-2.17.11.ebuild 
b/sci-biology/picard/picard-2.17.11.ebuild
new file mode 100644
index 000000000..636bf879c
--- /dev/null
+++ b/sci-biology/picard/picard-2.17.11.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+#JAVA_PKG_IUSE="doc source"
+JAVA_PKG_IUSE=""
+
+inherit git-r3 java-pkg-2
+
+DESCRIPTION="Java-based command-line utilities that manipulate 
SAM/BAM/CRAM/VCF files"
+HOMEPAGE="http://picard.sourceforge.net
+       http://broadinstitute.github.io/picard";
+EGIT_REPO_URI="https://github.com/broadinstitute/picard.git";
+EGIT_BRANCH="${PV}"
+# building outside of git is not possible,
+# see https://github.com/broadinstitute/picard/issues/605
+#SRC_URI="https://github.com/broadinstitute/picard/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+KEYWORDS=""
+
+CDEPEND="dev-java/snappy:1.1
+       dev-java/cofoja:0
+       dev-java/commons-jexl:2
+       dev-java/htsjdk:0"
+
+DEPEND=">=virtual/jdk-1.8
+       ${CDEPEND}"
+
+RDEPEND=">=virtual/jre-1.8
+       ${CDEPEND}"
+
+EANT_BUILD_TARGET="all"
+EANT_NEEDS_TOOLS="true"
+JAVA_ANT_REWRITE_CLASSPATH="true"
+EANT_GENTOO_CLASSPATH="snappy-1.1,cofoja,commons-jexl-2,htsjdk"
+
+src_prepare() {
+       default
+}
+
+src_compile(){
+       # work around gradle writing $HOME/.gradle, requiring $HOME/.git and 
$HOME/.m2/
+       # https://github.com/samtools/htsjdk/issues/660#issuecomment-232155965
+       # make jure SDK-1.8 is available, JRE-1.8 is not enough
+       GRADLE_USER_HOME="${WORKDIR}" ./gradlew --stacktrace --debug || die
+}
+
+src_install() {
+       cd build/libs || die
+       java-pkg_dojar "${PN}".jar
+       java-pkg_dojar "${PN}"-*-SNAPSHOT.jar
+
+       java-pkg_dolauncher ${PN} --main picard.cmdline.PicardCommandLine
+
+       #use source && java-pkg_dosrc "${S}"/src/java/*
+       #use doc && java-pkg_dojavadoc "${S}"/javadoc
+}

Reply via email to